Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JColorChooserOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JColorChooserOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JColorChooserOperator
extends JComponentOperator
implements Outputable

Class provides methods to cover main JColorChooser component functionality.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Inner Class Summary
`static class` | `JColorChooserOperator.JColorChooserFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `COLOR_DPROP` Identifier for a "color" property.
`static java.lang.String` | `SELECTED_PAGE_DPROP` Identifier for a "selected page" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JColorChooserOperator(ContainerOperator cont)` Constructor.
`JColorChooserOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JColorChooserOperator object.
`JColorChooserOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JColorChooserOperator object.
`JColorChooserOperator(ContainerOperator cont, int index)` Constructor.
`JColorChooserOperator(javax.swing.JColorChooser comp)` Constructor.

Method Summary
`void` | `addChooserPanel(javax.swing.colorchooser.AbstractColorChooserPanel abstractColorChooserPanel)` Maps `JColorChooser.addChooserPanel(AbstractColorChooserPanel)` through queue
`void` | `enterBlue(int value)` Enters blue color component value.
`void` | `enterColor(java.awt.Color color)` Enters color.
`void` | `enterColor(int color)` Enters color.
`void` | `enterColor(int red, int green, int blue)` Enters all color components values.
`void` | `enterGreen(int value)` Enters green color component value.
`void` | `enterRed(int value)` Enters red color component value.
`static javax.swing.JColorChooser` | `findJColorChooser(java.awt.Container cont)` Searches 0'th JColorChooser in container.
`static javax.swing.JColorChooser` | `findJColorChooser(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JColorChooser in container.
`static javax.swing.JColorChooser` | `findJColorChooser(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JColorChooser in container.
`static javax.swing.JColorChooser` | `findJColorChooser(java.awt.Container cont, int index)` Searches JColorChooser in container.
`javax.swing.colorchooser.AbstractColorChooserPanel[]` | `getChooserPanels()` Maps `JColorChooser.getChooserPanels()` through queue
`java.awt.Color` | `getColor()` Maps `JColorChooser.getColor()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`TestOut` | `getOutput()` Returns print output streams or writers.
`javax.swing.JComponent` | `getPreviewPanel()` Maps `JColorChooser.getPreviewPanel()` through queue
`javax.swing.colorchooser.ColorSelectionModel` | `getSelectionModel()` Maps `JColorChooser.getSelectionModel()` through queue
`javax.swing.plaf.ColorChooserUI` | `getUI()` Maps `JColorChooser.getUI()` through queue
`javax.swing.colorchooser.AbstractColorChooserPanel` | `removeChooserPanel(javax.swing.colorchooser.AbstractColorChooserPanel abstractColorChooserPanel)` Maps `JColorChooser.removeChooserPanel(AbstractColorChooserPanel)` through queue
`void` | `setChooserPanels(javax.swing.colorchooser.AbstractColorChooserPanel[] abstractColorChooserPanel)` Maps `JColorChooser.setChooserPanels(AbstractColorChooserPanel[])` through queue
`void` | `setColor(java.awt.Color color)` Maps `JColorChooser.setColor(Color)` through queue
`void` | `setColor(int i)` Maps `JColorChooser.setColor(int)` through queue
`void` | `setColor(int i, int i1, int i2)` Maps `JColorChooser.setColor(int, int, int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setPreviewPanel(javax.swing.JComponent jComponent)` Maps `JColorChooser.setPreviewPanel(JComponent)` through queue
`void` | `setSelectionModel(javax.swing.colorchooser.ColorSelectionModel colorSelectionModel)` Maps `JColorChooser.setSelectionModel(ColorSelectionModel)` through queue
`void` | `setUI(javax.swing.plaf.ColorChooserUI colorChooserUI)` Maps `JColorChooser.setUI(ColorChooserUI)` through queue
`void` | `switchToRGB()` Switches tab to "RGB" page.
`static javax.swing.JColorChooser` | `waitJColorChooser(java.awt.Container cont)` Waits 0'th JColorChooser in container.
`static javax.swing.JColorChooser` | `waitJColorChooser(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JColorChooser in container.
`static javax.swing.JColorChooser` | `waitJColorChooser(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JColorChooser in container.
`static javax.swing.JColorChooser` | `waitJColorChooser(java.awt.Container cont, int index)` Waits JColorChooser in container.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getTimeouts, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTimeouts, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLOR_DPROP

    public static final java.lang.String COLOR_DPROP

  Identifier for a "color" property.
  See Also:
    `getDump()`

### SELECTED_PAGE_DPROP

    public static final java.lang.String SELECTED_PAGE_DPROP

  Identifier for a "selected page" property.
  See Also:
    `getDump()`

Constructor Detail

### JColorChooserOperator

    public JColorChooserOperator(javax.swing.JColorChooser comp)

  Constructor.
  Parameters:
    `comp` - a component

### JColorChooserOperator

    public JColorChooserOperator(ContainerOperator cont,
                                 ComponentChooser chooser,
                                 int index)

  Constructs a JColorChooserOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JColorChooserOperator

    public JColorChooserOperator(ContainerOperator cont,
                                 ComponentChooser chooser)

  Constructs a JColorChooserOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JColorChooserOperator

    public JColorChooserOperator(ContainerOperator cont,
                                 int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
    `index` - Ordinal component index.

### JColorChooserOperator

    public JColorChooserOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.

Method Detail

### findJColorChooser

    public static javax.swing.JColorChooser findJColorChooser(java.awt.Container cont,
                                                              ComponentChooser chooser,
                                                              int index)

  Searches JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JColorChooser instance or null if component was not found.

### findJColorChooser

    public static javax.swing.JColorChooser findJColorChooser(java.awt.Container cont,
                                                              ComponentChooser chooser)

  Searches 0'th JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JColorChooser instance or null if component was not found.

### findJColorChooser

    public static javax.swing.JColorChooser findJColorChooser(java.awt.Container cont,
                                                              int index)

  Searches JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JColorChooser instance or null if component was not found.

### findJColorChooser

    public static javax.swing.JColorChooser findJColorChooser(java.awt.Container cont)

  Searches 0'th JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JColorChooser instance or null if component was not found.

### waitJColorChooser

    public static javax.swing.JColorChooser waitJColorChooser(java.awt.Container cont,
                                                              ComponentChooser chooser,
                                                              int index)

  Waits JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JColorChooser instance or null if component was not displayed.

### waitJColorChooser

    public static javax.swing.JColorChooser waitJColorChooser(java.awt.Container cont,
                                                              ComponentChooser chooser)

  Waits 0'th JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JColorChooser instance or null if component was not displayed.

### waitJColorChooser

    public static javax.swing.JColorChooser waitJColorChooser(java.awt.Container cont,
                                                              int index)

  Waits JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JColorChooser instance or null if component was not displayed.

### waitJColorChooser

    public static javax.swing.JColorChooser waitJColorChooser(java.awt.Container cont)

  Waits 0'th JColorChooser in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JColorChooser instance or null if component was not displayed.

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### switchToRGB

    public void switchToRGB()

  Switches tab to "RGB" page.

### enterRed

    public void enterRed(int value)

  Enters red color component value. Switches to "RGB" page first.
  Parameters:
    `value` - red color component
  See Also:
    `switchToRGB()`, `enterColor(int, int, int)`, `enterColor(java.awt.Color)`, `enterColor(int)`

### enterGreen

    public void enterGreen(int value)

  Enters green color component value. Switches to "RGB" page first.
  Parameters:
    `value` - green color component
  See Also:
    `switchToRGB()`, `enterColor(int, int, int)`, `enterColor(java.awt.Color)`, `enterColor(int)`

### enterBlue

    public void enterBlue(int value)

  Enters blue color component value. Switches to "RGB" page first.
  Parameters:
    `value` - blue color component
  See Also:
    `switchToRGB()`, `enterColor(int, int, int)`, `enterColor(java.awt.Color)`, `enterColor(int)`

### enterColor

    public void enterColor(int red,
                           int green,
                           int blue)

  Enters all color components values. Switches to "RGB" page first.
  Parameters:
    `red` - red color component
    `green` - green color component
    `blue` - blue color component
  See Also:
    `switchToRGB()`, `enterColor(java.awt.Color)`, `enterColor(int)`

### enterColor

    public void enterColor(java.awt.Color color)

  Enters color. Switches to "RGB" page first.
  Parameters:
    `color` - a color
  See Also:
    `switchToRGB()`, `enterColor(int, int, int)`, `enterColor(int)`

### enterColor

    public void enterColor(int color)

  Enters color. Switches to "RGB" page first.
  Parameters:
    `color` - a color
  See Also:
    `switchToRGB()`, `enterColor(int, int, int)`, `enterColor(java.awt.Color)`

### getDump

    public java.util.Hashtable getDump()

  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addChooserPanel

    public void addChooserPanel(javax.swing.colorchooser.AbstractColorChooserPanel abstractColorChooserPanel)

  Maps `JColorChooser.addChooserPanel(AbstractColorChooserPanel)` through queue

### getChooserPanels

    public javax.swing.colorchooser.AbstractColorChooserPanel[] getChooserPanels()

  Maps `JColorChooser.getChooserPanels()` through queue

### getColor

    public java.awt.Color getColor()

  Maps `JColorChooser.getColor()` through queue

### getPreviewPanel

    public javax.swing.JComponent getPreviewPanel()

  Maps `JColorChooser.getPreviewPanel()` through queue

### getSelectionModel

    public javax.swing.colorchooser.ColorSelectionModel getSelectionModel()

  Maps `JColorChooser.getSelectionModel()` through queue

### getUI

    public javax.swing.plaf.ColorChooserUI getUI()

  Maps `JColorChooser.getUI()` through queue

### removeChooserPanel

    public javax.swing.colorchooser.AbstractColorChooserPanel removeChooserPanel(javax.swing.colorchooser.AbstractColorChooserPanel abstractColorChooserPanel)

  Maps `JColorChooser.removeChooserPanel(AbstractColorChooserPanel)` through queue

### setChooserPanels

    public void setChooserPanels(javax.swing.colorchooser.AbstractColorChooserPanel[] abstractColorChooserPanel)

  Maps `JColorChooser.setChooserPanels(AbstractColorChooserPanel[])` through queue

### setColor

    public void setColor(int i)

  Maps `JColorChooser.setColor(int)` through queue

### setColor

    public void setColor(int i,
                         int i1,
                         int i2)

  Maps `JColorChooser.setColor(int, int, int)` through queue

### setColor

    public void setColor(java.awt.Color color)

  Maps `JColorChooser.setColor(Color)` through queue

### setPreviewPanel

    public void setPreviewPanel(javax.swing.JComponent jComponent)

  Maps `JColorChooser.setPreviewPanel(JComponent)` through queue

### setSelectionModel

    public void setSelectionModel(javax.swing.colorchooser.ColorSelectionModel colorSelectionModel)

  Maps `JColorChooser.setSelectionModel(ColorSelectionModel)` through queue

### setUI

    public void setUI(javax.swing.plaf.ColorChooserUI colorChooserUI)

  Maps `JColorChooser.setUI(ColorChooserUI)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD